### Method

# Gtk ShortcutControlleradd_shortcut

#### Declaration [src]

    void
    gtk_shortcut_controller_add_shortcut (
      GtkShortcutController* self,
      GtkShortcut* shortcut
    )

#### Description [src]

Adds `shortcut` to the list of shortcuts handled by `self`.

If this controller uses an external shortcut list, this function does nothing.

#### Parameters

`shortcut`

  Type: `GtkShortcut`

  A `GtkShortcut`

  The instance takes ownership of the data, and is responsible for freeing it.